List Decline Groups
Lists the decline groups and Merchant Advice Code groups of an account, to reference by group_id from routing outputs.
status: "DECLINE_GROUP" and the groups of Merchant Advice Codes you reference with status: "MAC_CODE_GROUP". Use the id of a group as group_id in a routing output — see Outcome groups.
The endpoint is read only. Groups are created in the dashboard, or automatically when a DECLINE_GROUP output is saved with decline_types and no group_id (those are named auto_…).
Query Parameters
Response
An array with the groups of the account, or an empty array if it has none. Each group contains:group_id.group_name on routing outputs.status the group is used with: DECLINE_GROUP for a group of decline sub-statuses, MAC_CODE_GROUP for a group of Merchant Advice Codes.DECLINED_BY_BANK for DECLINE_GROUP, normalized Merchant Advice Codes such as NO_RETRY_POLICY for MAC_CODE_GROUP. See Transaction codes.Errors
Authorizations
Query Parameters
Account to list groups for. Must belong to the organization of your API credentials.
Response
The groups of the account, or an empty array if it has none.
The value to send as group_id in a routing output.
1044
"Soft declines"
The output status the group is used with.
DECLINE_GROUP, MAC_CODE_GROUP Members of the group: decline sub-statuses for DECLINE_GROUP, normalized Merchant Advice Codes for MAC_CODE_GROUP.